=== debian/changelog ===
mldonkey (3.0.3-4) unstable; urgency=low

  * Fix a typo in mldonkey-server.postrm: s/lib/log, thanks to adsb
    for the review.

 -- Mehdi Dogguy <mehdi@debian.org>  Wed, 27 Oct 2010 21:55:38 +0200

mldonkey (3.0.3-3) unstable; urgency=low

  * Do not erase existing configuration on upgrades (Closes: #601332, #522900),
    (LP: #478206).
  * Recursively chown /var/{log,run}/mldonkey (Closes: #593091).
  * Remove /var/{log,run}/mldonkey on purge.

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 26 Oct 2010 06:31:48 +0200

mldonkey (3.0.3-2) unstable; urgency=low

  * Add myself to Uploaders
  * Add Danish debconf translation (Closes: #599126)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 05 Oct 2010 10:44:57 +0200

mldonkey (3.0.3-1) unstable; urgency=low

  * Team upload.
  * New upstream release (Closes: #580087)
  * Switch source package format to 3.0 (quilt)
  * Fix numerous Lintian tags

 -- Stéphane Glondu <glondu@debian.org>  Thu, 05 Aug 2010 22:35:32 -0400

mldonkey (3.0.1-1) unstable; urgency=low

  * New upstream release
    - Fix download of torrent files with no 'announce' field (Closes: #551896)
    - Fix torrent parsing when announce-list is empty (Closes: #552004)
  * Update my e-mail address and remove DMUA
  * Refresh packaging
    - Use new features of dh-ocaml 0.9
    - Use debhelper's overrides
  * Pass "--iosched idle" to start-stop-daemon (Closes: #549498)
  * Rotate the log files found in /var/log/mldonkey/ (Closes: #539726)
  * Modify ocaml_3.11.1 so that it works with all 3.11.* versions

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 11 Feb 2010 23:05:41 +0100

mldonkey (3.0.0-3) unstable; urgency=low

  [ Samuel Mimram ]
  * Update Spanish debconf translation, closes: #524447.

  [ Mehdi Dogguy ]
  * Remove useless file: /var/log/mldonkey/mldonkey-server.log.
  * Update build-dependencies to ease OCaml 3.11.1 transition.
  * Add a patch ocaml_3.11.1 to let mldonkey build with OCaml 3.11.1.
  * Add a patch to remove bashism from script make_buginfo, Closes: #530141.

 -- Mehdi Dogguy <dogguy@pps.jussieu.fr>  Sat, 04 Jul 2009 21:38:05 +0200

mldonkey (3.0.0-2) unstable; urgency=low

  * Init script now exports default locale found in /etc/default/locale
    (when the file exists), closes: #473133.
  * Remove msse2 flag for i386 architecture as it leads to illegal instruction
    on some processors, closes: #520093.

 -- Mehdi Dogguy <dogguy@pps.jussieu.fr>  Tue, 17 Mar 2009 13:18:57 +0100

mldonkey (3.0.0-1) unstable; urgency=low

  [ Sylvain Le Gall ]
  * Remove useless explanation in chroot section of README.Debian.
  * Add debian/gbp.conf to force using pristine-tar

  [ Stephane Glondu ]
  * Switch packaging to git.

  [ Samuel Mimram ]
  * New upstream release, closes: #508280.
  * Fixes alignement problem on ARM, closes: #487803.
  * Remove useless line in init script, closes: #509001.
  * Better handling of errors in init script, closes: #508538.
  * Pass --debconf-ok option to ucf, closes: #514449.
  * Mention default telnet port in README.Debian, closes: #508436.
  * Updated vietnamese debconf translation, closes: #513369.
  * Update standards version to 3.8.1.
  * Don't uselessly build-depend on dpkg-dev.
  * Version reference to GPL in copyright.

  [ Mehdi Dogguy ]
  * New upstream release, closes: #516829.
  * Bump standards version to 3.8.0, no changes needed.
  * Fix Lintian warning concerning debian/mldonkey-server.postinst: not
    specify full path of used commands.
  * Add ${misc:Depends} as a dependency for mldonkey-gui.
  * Add myself to uploaders.
  * Add DMUA flag (with Sam's blessing)
  * Add Homepage field
  * Use ocamlbuild to build utils
  * Add msse2 flag for i386 architecture
  * Simplify debian/rules
  * Create a manpage for mldonkey (link to mlnet's manpage for the moment)
  * Drop chrooted-mlnet support and do not suggest makejail anymore,
    closes: #204266.
  * Update/install NEWS.Debian and mention (again) removal of mldonkey_server
    (already mentioned in this changelog, entries 2.8.1-3, 2.8.3-2 and
    2.8.5-2), closes: #517996.
  * Add missing build-dependency libbz2-dev to enable Directconnect protocol.
  * Move mldonkey_{files,options,command,submit} to /usr/lib/mldonkey.
    Closes: #484674
  * Move the daemon's log in /var/log/mldonkey, closes: #508533.
  * Add debian/xml-man/generate-man to automatically generate manpages from
    help output, closes: #432205.
  * Remove some debconf questions, closes: #332324.

 -- Samuel Mimram <smimram@debian.org>  Mon, 16 Mar 2009 20:11:12 +0100

mldonkey (2.9.5-2) unstable; urgency=low

  [ Samuel Mimram ]
  * Enable directconnect protocol, closes: #481332.

  [ Christian Perrier ]
  * Fix pending l10n issues. Debconf translations:
    - Japanese. Closes: #498567

  [ Sylvain Le Gall ]
  * Acknowledge NMU

 -- Sylvain Le Gall <gildor@debian.org>  Mon, 27 Oct 2008 10:08:47 +0100

mldonkey (2.9.5-1.1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
    - Italian. Closes: #480751
    - Finnish. Closes: #492549
    - Swedish. Closes: #493175
    - Russian. Closes: #493754
    - Japanese. Closes: #494399

 -- Christian Perrier <bubulle@debian.org>  Thu, 24 Jul 2008 08:44:48 +0200

mldonkey (2.9.5-1) unstable; urgency=low

  * New upstream release.
  * Removed useless mldonkey-server menu entries, closes: #465274.
  * Added Basque translation (thanks Piarres Beobide), closes: #470880.

 -- Samuel Mimram <smimram@debian.org>  Mon, 05 May 2008 22:29:36 +0200

mldonkey (2.9.4-1) unstable; urgency=low

  * New upstream release.
  * Rebuilding with OCaml 3.10.1 should fix crashed on amd64, closes: #439030.
  * Wait for mldonkey to stop in init script (thanks Trek), closes: #440551.

 -- Samuel Mimram <smimram@debian.org>  Sun, 02 Mar 2008 18:38:46 +0100

mldonkey (2.9.3-1) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir

  [ Samuel Mimram ]
  * New upstream release.

