=== debian/control ===
Source: mldonkey
Section: net
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>,
 Samuel Mimram <smimram@debian.org>,
 Sylvain Le Gall <gildor@debian.org>,
 Mehdi Dogguy <mehdi@debian.org>
Homepage: http://mldonkey.sourceforge.net/
Build-Depends: autoconf, autotools-dev,
 ocaml-nox (>= 3.11.1-3~),
 ocaml-best-compilers,
 dh-ocaml (>= 0.9.1),
 camlp4,
 debhelper (>= 7.0.50~),
 po-debconf,
 xsltproc,
 zlib1g-dev,
 libbz2-dev,
 docbook-xsl,
 docbook-xml,
 m4,
 debconf,
 liblablgtk2-ocaml-dev (>= 2.12.0-3),
 libgd2-xpm-dev,
 liblablgtk2-gnome-ocaml-dev,
 libxml2-utils
Standards-Version: 3.8.3
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/mldonkey.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/mldonkey.git

Package: mldonkey-server
Architecture: any
Depends:
 ${shlibs:Depends},
 ${ocaml:Depends},
 ${misc:Depends},
 adduser,
 mime-support,
 debconf,
 ucf
Description: Door to the 'donkey' network
 MLDonkey is a door to the 'donkey' network, a decentralized network used to
 exchange big files on the Internet. It is written in a wonderful language,
 called Objective-Caml, and present most features of the basic Windows donkey
 client, plus some more:
  - works on UNIX-compatible platforms.
  - remote control by telnet, WEB browser or GTK+ interface.
  - access to EDonkey (edonkey2000, overnet, emule)
  - access to Gnutella1/2
  - access to Bittorrent

Package: mldonkey-gui
Architecture: any
Suggests: mldonkey-server (= ${binary:Version})
Depends:
 ${shlibs:Depends},
 ${ocaml:Depends},
 ${misc:Depends}
Description: Graphical frontend for mldonkey based on GTK+
 The GTK+ interface for mldonkey provides a convenient way of managing
 all mldonkey operations. It gives details about connected servers,
 downloaded files, friends and lets one search for files in a pleasing
 way.
