## mldonkey 3.0.7

=== Makefile ===
--- 
+++ 
@@ -67,7 +67,9 @@
 endif
 
 
+EXTLIB=src/utils/extlib
 CDK=src/utils/cdk
+BITSTRING=src/utils/bitstring
 LIB=src/utils/lib
 NET=src/utils/net
 RSS=src/utils/ocamlrss
@@ -88,10 +90,10 @@
 SRC_DIRECTCONNECT=src/networks/direct_connect
 SRC_FILETP=src/networks/fileTP
 
-SUBDIRS=$(CDK) $(LIB) $(RSS) $(XML) $(NET) tools \
+SUBDIRS=$(EXTLIB) $(CDK) $(BITSTRING) $(LIB) $(RSS) $(XML) $(NET) tools \
    $(COMMON) $(DRIVER) $(MP3) src/config/$(OS_FILES)
 
-INCLUDES += $(foreach file, $(SUBDIRS), -I $(file))
+INCLUDES += $(foreach file, $(SUBDIRS), -I $(file)) -I +camlp4
 
 CFLAGS:=$(CFLAGS) $(CONFIG_INCLUDES) $(GTKCFLAGS) $(GD_CFLAGS)
 
@@ -131,6 +133,10 @@
 ifeq ("$(OS_FILES2)", "cygwin")
   LIBS_flags += -cclib "resfile.o"
 endif
+
+BITSTRING_SRCS = \
+  $(BITSTRING)/bitstring.ml \
+  $(BITSTRING)/bitstring_c.c
 
 ifeq ("$(BZIP2)", "yes")
   LIBS_flags += -cclib -lbz2
@@ -149,7 +155,9 @@
   $(CDK)/filename2.ml $(CDK)/list2.ml $(CDK)/hashtbl2.ml \
   $(CDK)/unix2.ml $(CDK)/file.ml \
   $(CDK)/heap_c.c $(CDK)/array2.ml
-  
+
+EXTLIB_SRCS += $(EXTLIB)/IO.ml
+
 ifneq ("$(PTHREAD_CFLAGS)" , "")
   CFLAGS += $(PTHREAD_CFLAGS)
   LIBS_flags += -ccopt "$(PTHREAD_CFLAGS)"
@@ -201,7 +209,7 @@
 
 NET_SRCS = \
   $(NET)/basicSocket.ml \
-  $(NET)/ip.ml $(NET)/ip_set.ml $(NET)/geoip.ml $(NET)/mailer.ml $(NET)/base64.ml  \
+  $(NET)/ip.ml $(NET)/ip_set.ml $(NET)/geoip.ml $(NET)/base64.ml $(NET)/mailer.ml \
   $(NET)/anyEndian.ml $(NET)/bigEndian.ml $(NET)/littleEndian.ml \
   $(NET)/tcpBufferedSocket.ml \
   $(NET)/tcpServerSocket.ml \
@@ -240,6 +248,8 @@
   $(COMMON)/commonHasher_c.c
 
 COMMON_CLIENT_SRCS= \
+  $(NET)/upnpClient.ml \
+  $(NET)/upnp_stubs.c \
   $(COMMON)/commonUser.ml \
   $(COMMON)/commonNetwork.ml \
   $(COMMON)/commonServer.ml \
@@ -325,6 +335,7 @@
   $(SRC_DONKEY)/donkeyOneFile.ml \
   \
   $(SRC_DONKEY)/donkeyOvernetImport.ml \
+  $(SRC_DONKEY)/donkeyNodesDat.ml \
   $(SRC_DONKEY)/donkeyOvernet.ml \
   $(SRC_DONKEY)/donkeyProtoKademlia.ml \
   $(SRC_DONKEY)/donkeyClient.ml \
@@ -423,12 +434,3 @@
   $(SRC_FASTTRACK)/fasttrackServers.ml \
   $(SRC_FASTTRACK)/fasttrackPandora.ml \
   $(SRC_FASTTRACK)/fasttrackInteractive.mlt \
-  $(SRC_FASTTRACK)/fasttrackMain.mlt
-
-BITTORRENT_SRCS= \
-  $(SRC_BITTORRENT)/bencode.ml \
-  $(SRC_BITTORRENT)/bTRate.ml \
-  $(SRC_BITTORRENT)/bTTypes.ml \
-  $(SRC_BITTORRENT)/bTOptions.ml \
-  $(SRC_BITTORRENT)/bTProtocol.ml \
-  $(SRC_BITTORRENT)/bTTorrent.ml \
