=== debian/changelog ===
mldonkey (3.0.7-1) unstable; urgency=low

  * New upstream release (Closes: #599204)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 12 Feb 2011 17:20:32 +0100
