=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  ocaml-best-compilers,
  dh-ocaml (>= 0.9.1),
  camlp4,
- debhelper (>= 7.0.50~),
+ debhelper (>= 8),
  po-debconf,
  xsltproc,
  zlib1g-dev,
@@ -26,7 +26,7 @@
  libgd2-xpm-dev,
  liblablgtk2-gnome-ocaml-dev,
  libxml2-utils
-Standards-Version: 3.8.3
+Standards-Version: 3.9.1
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/mldonkey.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/mldonkey.git
