=== debian/rules ===
--- 
+++ 
@@ -66,4 +66,4 @@
 endif
 
 %:
-	dh --with ocaml $@
+	dh $@ --with ocaml
