=== debian/changelog ===
mldonkey (3.1.0-3) unstable; urgency=low

  * Enable hardened build flags through dpkg-buildflags (Closes: #655140).
    Thanks to Moritz Muehlenhoff for reporting it and providing a patch.

 -- Mehdi Dogguy <mehdi@debian.org>  Mon, 09 Jan 2012 12:27:37 +0100

mldonkey (3.1.0-2) unstable; urgency=low

  * Remove /var/lib/mldonkey on purge

 -- Stéphane Glondu <glondu@debian.org>  Thu, 15 Sep 2011 00:04:12 +0200

mldonkey (3.1.0-1) unstable; urgency=low

  * New upstream release (Closes: #637646)
    - remove Add-a-constructor-to-NullNameValuePairs-in-CryptoPP..patch
      (applied upstream)
  * Remove /var/lib/mldonkey/downloads.ini on purge

 -- Stéphane Glondu <glondu@debian.org>  Thu, 08 Sep 2011 20:33:21 +0200

mldonkey (3.0.7-2) unstable; urgency=low

  * Fix FTBFS with g++ 4.6 (Closes: #625051)
  * Remove unused mldonkey-server/fasttrack_problem template
  * Bump Standards-Version to 3.9.2 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 07 May 2011 15:38:22 +0200
