## mldonkey 3.1.1

=== debian/changelog ===
mldonkey (3.1.1-1) unstable; urgency=low

  * New upstream release
    - fix FTBFS with GCC 4.7 (Closes: #667283)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 11 Apr 2012 21:27:45 +0200
