=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
  libgd2-xpm-dev,
  liblablgtk2-gnome-ocaml-dev,
  libxml2-utils
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/mldonkey.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/mldonkey.git
