## mldonkey 3.1.2

=== debian/changelog ===
mldonkey (3.1.2-1build1) saucy; urgency=low

  * Rebuild for libgd3.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 20 May 2013 00:18:24 +0100

mldonkey (3.1.2-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.3 (no changes)

 -- Mehdi Dogguy <mehdi@debian.org>  Wed, 06 Jun 2012 14:37:35 +0200
