=== debian/rules ===
--- 
+++ 
@@ -8,14 +8,6 @@
   confflags += --build $(DEB_HOST_GNU_TYPE)
 else
   confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
-endif
-
-CFLAGS = -Wall -g
-
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-        CFLAGS += -O0
-else
-        CFLAGS += -O2
 endif
 
 override_dh_auto_clean:
@@ -32,7 +24,7 @@
 
 override_dh_auto_configure:
 	cd config; autoconf
-	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CFLAGS)" ./configure $(confflags) \
+	./configure $(confflags) $(shell dpkg-buildflags --export=configure) \
 	  --enable-gui=newgui2 \
 	  --enable-directconnect \
           --disable-magic \
