## mldonkey 3.1.3

=== debian/changelog ===
mldonkey (3.1.3-1build1) trusty; urgency=medium

  * Rebuild for ocaml-4.01.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 20:27:16 +0000

mldonkey (3.1.3-1) unstable; urgency=low

  [ Mehdi Dogguy ]
  * Set filter-pristine-tar=True in debian/gbp.conf

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

  [ Stéphane Glondu ]
  * New upstream release (Closes: #712075)
  * Use canonical URLs in Vcs-* fields

 -- Stéphane Glondu <glondu@debian.org>  Wed, 12 Jun 2013 21:32:25 +0200
