=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Uploaders:
  Stéphane Glondu <glondu@debian.org>,
  Samuel Mimram <smimram@debian.org>,
- Sylvain Le Gall <gildor@debian.org>,
  Mehdi Dogguy <mehdi@debian.org>
 Homepage: http://mldonkey.sourceforge.net/
 Build-Depends: autoconf, autotools-dev,
@@ -27,8 +26,8 @@
  liblablgtk2-gnome-ocaml-dev,
  libxml2-utils
 Standards-Version: 3.9.3
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/mldonkey.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/mldonkey.git
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/mldonkey.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/mldonkey.git
 
 Package: mldonkey-server
 Architecture: any
