## mldonkey 3.1.5

=== debian/changelog ===
mldonkey (3.1.5-3build2) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 12:47:22 +0000

mldonkey (3.1.5-3build1) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Wed, 04 Nov 2015 16:44:19 -0600

mldonkey (3.1.5-3) unstable; urgency=medium

  * Team upload
  * Remove myself from Uploaders
  * Fix compilation with OCaml 4.02

 -- Stéphane Glondu <glondu@debian.org>  Wed, 14 Oct 2015 10:05:31 +0200

mldonkey (3.1.5-2) unstable; urgency=medium

  * Build svg_converter.byte to avoid FTBFS (Closes: #749371).

 -- Mehdi Dogguy <mehdi@debian.org>  Sat, 09 Aug 2014 11:10:12 +0200

mldonkey (3.1.5-1) unstable; urgency=low

  [ Mehdi Dogguy ]
  * New upstream release.
  * Redirect startup output into the log file (Closes: #708870)

  [ Peter Eisentraut ]
  * Add support for "status" action to mldonkey-server init script (Closes: #647719)

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 27 Mar 2014 00:37:41 +0100
