=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,7 @@
 	  --disable-fasttrack
 
 override_dh_auto_build:
-	$(MAKE) utils.$(OCAML_BEST) $(OCAML_BEST)
+	$(MAKE) svg_converter.byte utils.$(OCAML_BEST) $(OCAML_BEST)
 ifeq ($(OCAML_BEST),byte)
 	cp mlnet.byte mlnet
 	cp mlgui.byte mlgui
