=== debian/watch ===
version=3
http://sf.net/mldonkey/mldonkey-([\d\.]+)\.tar\.bz2
