=== debian/changelog ===
mldonkey (3.1.6-1fakesync1) bionic-proposed; urgency=medium

  * Fake sync due to mismatching orig tarball.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 12 Nov 2017 18:48:23 -0800

mldonkey (3.1.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream. This release compiles on ocaml 4.05 (closes:  #876735)
    - refreshed patch 0001-Use-usr-bin-see-as-default-previewer.patch
    - dropped patch 0004-Fix-compilation-with-OCaml-4.02.patch
  * Changed build-dependency on libgd2-xpm-dev to libgd-dev (closes: #880775)
  * debian/watch: point to github
  * Debhelper compatibility level 10:
    - dropped build-dependency on autotools-dev 
  * Dropped build-dependency on obsolete ocaml-best-compilers
  * Added build-dependency on ocamlbuild
  * Standards-Version 4.1.1
  * - drop debian/mldonkey-gui.menu

 -- Ralf Treinen <treinen@debian.org>  Tue, 07 Nov 2017 21:18:26 +0100

mldonkey (3.1.5-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use -std=gnu++98 to workaround FTBFS on ppc64el,
    thanks to Frederic Bonnard. (Closes: #859965)
  * Add Brazilian Portuguese debconf templates translation
    from Eder L. Marques. (Closes: #795366)

 -- Adrian Bunk <bunk@debian.org>  Wed, 26 Apr 2017 10:10:51 +0300
