=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: mldonkey
 Section: net
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
- Stéphane Glondu <glondu@debian.org>,
  Samuel Mimram <smimram@debian.org>,
  Mehdi Dogguy <mehdi@debian.org>
 Homepage: http://mldonkey.sourceforge.net/
-Build-Depends: autoconf, autotools-dev,
+Build-Depends: autoconf,
  ocaml-nox (>= 3.11.1-3~),
- ocaml-best-compilers,
  dh-ocaml (>= 0.9.1),
+ ocamlbuild,
  camlp4,
- debhelper (>= 8),
+ debhelper (>= 10),
  po-debconf,
  xsltproc,
  zlib1g-dev,
@@ -22,10 +22,10 @@
  m4,
  debconf,
  liblablgtk2-ocaml-dev (>= 2.12.0-3),
- libgd2-xpm-dev,
+ libgd-dev,
  liblablgtk2-gnome-ocaml-dev,
  libxml2-utils
-Standards-Version: 3.9.3
+Standards-Version: 4.1.1
 Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/mldonkey.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/mldonkey.git
 
@@ -36,6 +36,7 @@
  ${ocaml:Depends},
  ${misc:Depends},
  adduser,
+ lsb-base,
  mime-support,
  debconf,
  ucf
