=== debian/watch ===
version=3
https://github.com/ygrek/mldonkey/releases /.*/mldonkey-([\d\.]+)\.tar\.bz2
