## mldonkey 3.1.7

=== debian/changelog ===
mldonkey (3.1.7-2) unstable; urgency=medium

  * Team upload
  * Do not call "ocamlc -custom" with g++ (fixes FTBFS on bytecode)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 04 Aug 2020 11:20:06 +0200

mldonkey (3.1.7-1) unstable; urgency=medium

  * Team upload
  * New upstream release (Closes: #939334)
  * Update Vcs-* to point to salsa
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no
  * Switch copyright to format 1.0

 -- Stéphane Glondu <glondu@debian.org>  Tue, 04 Aug 2020 09:30:51 +0200
