=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: mldonkey
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Samuel Mimram <smimram@debian.org>,
  Mehdi Dogguy <mehdi@debian.org>
 Homepage: http://mldonkey.sourceforge.net/
 Build-Depends: autoconf,
- ocaml-nox (>= 3.11.1-3~),
- dh-ocaml (>= 0.9.1),
+ ocaml-nox,
+ dh-ocaml,
  ocamlbuild,
  camlp4,
- debhelper (>= 10),
+ debhelper-compat (= 13),
  po-debconf,
  xsltproc,
  zlib1g-dev,
@@ -21,16 +20,19 @@
  docbook-xml,
  m4,
  debconf,
- liblablgtk2-ocaml-dev (>= 2.12.0-3),
+ libnum-ocaml-dev,
+ liblablgtk2-ocaml-dev,
  libgd-dev,
  liblablgtk2-gnome-ocaml-dev,
  libxml2-utils
-Standards-Version: 4.1.1
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/mldonkey.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/mldonkey.git
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/ocaml-team/mldonkey.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/mldonkey
 
 Package: mldonkey-server
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends:
  ${shlibs:Depends},
  ${ocaml:Depends},
