=== debian/rules ===
--- 
+++ 
@@ -10,15 +10,21 @@
   confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
 endif
 
+# workaround for #859965
+export DEB_CXXFLAGS_MAINT_APPEND = -std=gnu++98
+
+%:
+	dh $@ --with ocaml
+
 override_dh_auto_clean:
 # Update the PO, as suggested in "man 7 po-debconf"
 	debconf-updatepo
 # Add here commands to clean up after the build process.
-	$(MAKE) clean distclean
+	dh_auto_clean
 	$(MAKE) -C debian/xml-man clean
 	$(MAKE) -C debian/utils clean
-	-$(RM) config/trying
-	-$(RM) packages/rpm/Makefile
+	-$(RM) config/trying config/configure
+	-$(RM) Makefile packages/rpm/Makefile
 	-$(RM) *.ini *.ini.old
 	-$(RM) config/confdefs.h
 
@@ -57,5 +63,4 @@
 	dh_strip -a
 endif
 
-%:
-	dh $@ --with ocaml
+override_dh_dwz:
